On 21 Apr 2014, at 07:19, Austin Boyle wrote:

Hi all,

I have been trying to get Audacity compiling on my Mac to take a look at some of the OS X specific bugs. I am running OS X 10.8.2 and trying the instructions at http://wiki.audacityteam.org/wiki/Building_On_Mac

I know from compiling under Linux that currently only wxWidgets-2.8.12 is supported by Audacity, but from my research it seems wxWidgets-2.8 requires SDK 10.6 which is not supported in any version of Xcode available for OS X 10.8 or later.

Attempting to compile wxWidgets-2.8.12 with a recent SDK (even with ' -mmacosx-version-min=10.6') gives the following error:
In file included from ../include/wx/mac/private.h:4,
                 from ../src/common/dynlib.cpp:48:
../include/wx/mac/carbon/private.h:1459: error: ‘Cursor’ does not name a type
../include/wx/mac/carbon/private.h:1488: error: ‘ClassicCursor’ does not name a type

I'm currently trying to download the older Xcode 4.3.3 as it should have contained SDK 10.6.

Has anyone else had success in compiling Audacity on OS X 10.8?

I assume the OS X releases on the website are being built on an older OS?


Hi Austin,

I do most of the OSX builds. The short answer is that Xcode 3.2.6 is the easiest thing to use to get everything to build. It's also the last version of Xcode that supports building for PPC, I think.

I do most of my builds on Snow Leopard (10.6) but can also build on Lion (10.7). The trick is to get Xcode 3.2.6 installed on your OS of choice. Now, by default the installer won't work on anything above 10.6, unless that is, you give it a nudge in the right direction.

There are a few pages on the web describing the method, I think this might be the one I used for Lion. I presume it works for Mountain Lion too but haven't tested it.


Building wxMac I use 2.8.12 and something like the following, depending upon configuration and where Xcode3 is installed. There is a patch for wxMac 2.8.12 in the Audacity source tree, be sure to apply it before building.

CONF_LINE="../configure CC=gcc-4.0 CXX=g++-4.0 LD=g++-4.0 --prefix=${PREFIX} --with-macosx-sdk=/Developer/SDKs/MacOSX10.4u.sdk \
           --with-macosx-version-min=10.4 --disable-compat26 --with-expat=builtin --with-zlib=builtin --with-regex=builtin \
  --enable-universal_binary=yes --enable-unicode=yes --enable-accessibility=yes"

#Static Debug
rm -rf bld-StDeb
mkdir bld-StDeb
cd bld-StDeb
${CONF_LINE} --enable-static=yes --enable-shared=no --enable-debug=yes
make clean
make -j 7
sudo make -j 7 install
cd ..

I hope that this helps,